Skip to main content

Type Claim Validation

Description

Notification about a location claim that is in review or awaiting review by Apple Business. CLAIM_VALIDATION notification type is generated when any of the following is true:

  • Location is created by delegated partner on behalf of a location owner.
  • Location owner claims a location at a time when it has already delegated a partner to manage all their brand's locations.
  • Location is created by a partner on behalf of a location owner using a grant authorization (OAuth app).
  • Location owner claims a location in Apple Business portal and subsequently delegates the location to a partner while the location is in review or awaiting review by Apple Business.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
REQUIRED
Location Created by Delegated Partner

A CLAIM_VALIDATION notification is generated when a delegated partner creates a location on behalf of an owner, placing the location under Apple Business review. The delegated partner calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Delegated partnerDelegated partnerLocation created, pending claim review
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654972",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "CLAIM_VALIDATION",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654309",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654964",
"etag": "d53c97a0-7fff-11ee-b962-0242ac120002",
"state": "PROCESSING",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=8U54a61d9b495324"
}
}